GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALGridInverseDistanceToAPowerNearestNeighborOptions Struct Reference

Inverse distance to a power, with nearest neighbour search, control options. More...

`#include <gdal_alg.h>`

## Public Attributes
double | dfPower
double | dfRadius
double | dfSmoothing
GUInt32 | nMaxPoints
GUInt32 | nMinPoints
double | dfNoDataValue

## Detailed Description

Inverse distance to a power, with nearest neighbour search, control options.

## Member Data Documentation

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfNoDataValue

No data marker to fill empty points.

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfPower

Weighting power.

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfRadius

The radius of search circle.

double GDALGridInverseDistanceToAPowerNearestNeighborOptions::dfSmoothing

Smoothing parameter.

GUInt32 GDALGridInverseDistanceToAPowerNearestNeighborOptions::nMaxPoints

Maximum number of data points to use.

Do not search for more points than this number. If less amount of points found the grid node considered empty and will be filled with NODATA marker.

GUInt32 GDALGridInverseDistanceToAPowerNearestNeighborOptions::nMinPoints

Minimum number of data points to use.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

The documentation for this struct was generated from the following file:

- gdal_alg.h

Generated for GDAL by 1.8.9.1.